Payments onboarding
Update company owner
PUT
/
api
/
companies
/
{company_id}
/
owners
/
{id}
Update company owner
curl --request PUT \
--url https://api.fluid.app/api/companies/{company_id}/owners/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owner": {
"entity_id": 123,
"full_name": "<string>",
"work_email": "<string>",
"phone": "<string>",
"native_name": "<string>",
"position": "<string>",
"date_of_birth": "<string>",
"place_of_birth": "<string>",
"nationality": "<string>",
"country_iso": "<string>",
"street_address": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"identification_number": "<string>",
"is_managing_director": true,
"is_beneficial_owner": true,
"percent_ownership": 123,
"is_authorized_signatory": true,
"onboarding_contact": true,
"government_issued_ids": [
{
"file_url": "<string>",
"file_name": "<string>",
"file_type": "<string>"
}
],
"proof_of_residence_file_url": "<string>",
"proof_of_residence_file_name": "<string>"
},
"company_id": 123,
"id": 123
}
'import requests
url = "https://api.fluid.app/api/companies/{company_id}/owners/{id}"
payload = {
"owner": {
"entity_id": 123,
"full_name": "<string>",
"work_email": "<string>",
"phone": "<string>",
"native_name": "<string>",
"position": "<string>",
"date_of_birth": "<string>",
"place_of_birth": "<string>",
"nationality": "<string>",
"country_iso": "<string>",
"street_address": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"identification_number": "<string>",
"is_managing_director": True,
"is_beneficial_owner": True,
"percent_ownership": 123,
"is_authorized_signatory": True,
"onboarding_contact": True,
"government_issued_ids": [
{
"file_url": "<string>",
"file_name": "<string>",
"file_type": "<string>"
}
],
"proof_of_residence_file_url": "<string>",
"proof_of_residence_file_name": "<string>"
},
"company_id": 123,
"id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
owner: {
entity_id: 123,
full_name: '<string>',
work_email: '<string>',
phone: '<string>',
native_name: '<string>',
position: '<string>',
date_of_birth: '<string>',
place_of_birth: '<string>',
nationality: '<string>',
country_iso: '<string>',
street_address: '<string>',
city: '<string>',
state: '<string>',
postcode: '<string>',
identification_number: '<string>',
is_managing_director: true,
is_beneficial_owner: true,
percent_ownership: 123,
is_authorized_signatory: true,
onboarding_contact: true,
government_issued_ids: [{file_url: '<string>', file_name: '<string>', file_type: '<string>'}],
proof_of_residence_file_url: '<string>',
proof_of_residence_file_name: '<string>'
},
company_id: 123,
id: 123
})
};
fetch('https://api.fluid.app/api/companies/{company_id}/owners/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"owner": {
"id": 123,
"full_name": "<string>",
"onboarding_contact": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"entity_id": 123,
"work_email": "<string>",
"phone": "<string>",
"native_name": "<string>",
"position": "<string>",
"date_of_birth": "2023-12-25",
"place_of_birth": "<string>",
"nationality": "<string>",
"country_iso": "<string>",
"street_address": "<string>",
"city": "<string>",
"state": "<string>",
"postcode": "<string>",
"identification_number": "<string>",
"is_managing_director": true,
"is_beneficial_owner": true,
"percent_ownership": 123,
"is_authorized_signatory": true,
"government_issued_ids": [
{
"file_url": "<string>",
"file_name": "<string>",
"file_type": "<string>"
}
],
"proof_of_residence_file_url": "<string>",
"proof_of_residence_file_name": "<string>"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}Authorizations
Bearer token authentication
Body
application/json
⌘I
Update company owner
